- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Slots | Protected Member Functions | Properties | Friends

# QAbstractScrollArea Class Reference

Search for all occurrences

## Detailed Description

Definition at line 59 of file qabstractscrollarea.h.

`#include <qabstractscrollarea.h>`

Inheritance diagram for QAbstractScrollArea:
[legend]

List of all members.

## Public Member Functions
| QAbstractScrollArea (QWidget *parent=0)
| ~QAbstractScrollArea ()
Qt::ScrollBarPolicy | verticalScrollBarPolicy () const
void | setVerticalScrollBarPolicy (Qt::ScrollBarPolicy)
QScrollBar * | verticalScrollBar () const
void | setVerticalScrollBar (QScrollBar *scrollbar)
Qt::ScrollBarPolicy | horizontalScrollBarPolicy () const
void | setHorizontalScrollBarPolicy (Qt::ScrollBarPolicy)
QScrollBar * | horizontalScrollBar () const
void | setHorizontalScrollBar (QScrollBar *scrollbar)
QWidget * | cornerWidget () const
void | setCornerWidget (QWidget *widget)
void | addScrollBarWidget (QWidget *widget, Qt::Alignment alignment)
QWidgetList | scrollBarWidgets (Qt::Alignment alignment)
QWidget * | viewport () const
void | setViewport (QWidget *widget)
QSize | maximumViewportSize () const
QSize | minimumSizeHint () const
QSize | sizeHint () const
## Protected Slots
void | setupViewport (QWidget *viewport)
## Protected Member Functions
| QAbstractScrollArea (QAbstractScrollAreaPrivate &dd, QWidget *parent=0)
void | setViewportMargins (int left, int top, int right, int bottom)
void | setViewportMargins (const QMargins &margins)
bool | event (QEvent *)
virtual bool | viewportEvent (QEvent *)
void | resizeEvent (QResizeEvent *)
void | paintEvent (QPaintEvent *)
void | mousePressEvent (QMouseEvent *)
void | mouseReleaseEvent (QMouseEvent *)
void | mouseDoubleClickEvent (QMouseEvent *)
void | mouseMoveEvent (QMouseEvent *)
void | wheelEvent (QWheelEvent *)
void | contextMenuEvent (QContextMenuEvent *)
void | dragEnterEvent (QDragEnterEvent *)
void | dragMoveEvent (QDragMoveEvent *)
void | dragLeaveEvent (QDragLeaveEvent *)
void | dropEvent (QDropEvent *)
void | keyPressEvent (QKeyEvent *)
virtual void | scrollContentsBy (int dx, int dy)
## Properties
Qt::ScrollBarPolicy | verticalScrollBarPolicy
Qt::ScrollBarPolicy | horizontalScrollBarPolicy
## Friends
class | QWidgetPrivate

## Constructor & Destructor Documentation

QAbstractScrollArea | ( | QWidget * | parent = `0` | ) | `[explicit]`

~QAbstractScrollArea | ( |  | ) |

QAbstractScrollArea | ( | QAbstractScrollAreaPrivate & | dd,
|  | QWidget * | parent = `0`
| ) |  | `[protected]`

## Member Function Documentation

Qt::ScrollBarPolicy verticalScrollBarPolicy | ( |  | ) | const

Search for all occurrences

void setVerticalScrollBarPolicy | ( | Qt::ScrollBarPolicy |  | ) |

Search for all occurrences

QScrollBar* verticalScrollBar | ( |  | ) | const

Search for all occurrences

void setVerticalScrollBar | ( | QScrollBar * | scrollbar | ) |

Search for all occurrences

Qt::ScrollBarPolicy horizontalScrollBarPolicy | ( |  | ) | const

Search for all occurrences

void setHorizontalScrollBarPolicy | ( | Qt::ScrollBarPolicy |  | ) |

Search for all occurrences

QScrollBar* horizontalScrollBar | ( |  | ) | const

Search for all occurrences

void setHorizontalScrollBar | ( | QScrollBar * | scrollbar | ) |

Search for all occurrences

QWidget* cornerWidget | ( |  | ) | const

Search for all occurrences

void setCornerWidget | ( | QWidget * | widget | ) |

Search for all occurrences

void addScrollBarWidget | ( | QWidget * | widget,
|  | Qt::Alignment | alignment
| ) |  |

Search for all occurrences

QWidgetList scrollBarWidgets | ( | Qt::Alignment | alignment | ) |

Search for all occurrences

QWidget* viewport | ( |  | ) | const

Search for all occurrences

void setViewport | ( | QWidget * | widget | ) |

Search for all occurrences

QSize maximumViewportSize | ( |  | ) | const

Search for all occurrences

QSize minimumSizeHint | ( |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QWidget.

Reimplemented in QMdiArea.

QSize sizeHint | ( |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QFrame.

Reimplemented in QColumnView, QGraphicsView, QHeaderView, QMdiArea, and QScrollArea.

void setupViewport | ( | QWidget * | viewport | ) | `[protected, slot]`

Search for all occurrences

Reimplemented in QGraphicsView, and QMdiArea.

void setViewportMargins | ( | int | left,
|  | int | top,
|  | int | right,
|  | int | bottom
| ) |  | `[protected]`

Search for all occurrences

void setViewportMargins | ( | const QMargins & | margins | ) | `[protected]`

Search for all occurrences

bool event | ( | QEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QFrame.

Reimplemented in QAbstractItemView, QGraphicsView, QHeaderView, QListView, QListWidget, QMdiArea, QPlainTextEdit, QScrollArea, QTableWidget, QTextBrowser, QTextEdit, and QTreeWidget.

virtual bool viewportEvent | ( | QEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented in QAbstractItemView, QGraphicsView, QHeaderView, QMdiArea, and QTreeView.

void resizeEvent | ( | QResizeEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

Reimplemented in QAbstractItemView, QColumnView, QGraphicsView, QListView, QMdiArea, QPlainTextEdit, QScrollArea, and QTextEdit.

void paintEvent | ( | QPaintEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QFrame.

Reimplemented in QGraphicsView, QHeaderView, QListView, QMdiArea, QPlainTextEdit, QTableView, QTextBrowser, QTextEdit, and QTreeView.

void mousePressEvent | ( | QMouseEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

Reimplemented in QAbstractItemView, QGraphicsView, QHeaderView, QPlainTextEdit, QTextBrowser, QTextEdit, and QTreeView.

void mouseReleaseEvent | ( | QMouseEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

Reimplemented in QAbstractItemView, QGraphicsView, QHeaderView, QListView, QPlainTextEdit, QTextBrowser, QTextEdit, and QTreeView.

void mouseDoubleClickEvent | ( | QMouseEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

Reimplemented in QAbstractItemView, QGraphicsView, QHeaderView, QPlainTextEdit, QTextEdit, and QTreeView.

void mouseMoveEvent | ( | QMouseEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

Reimplemented in QAbstractItemView, QGraphicsView, QHeaderView, QListView, QPlainTextEdit, QTextBrowser, QTextEdit, and QTreeView.

void wheelEvent | ( | QWheelEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

Reimplemented in QGraphicsView, QPlainTextEdit, and QTextEdit.

void contextMenuEvent | ( | QContextMenuEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

Reimplemented in QGraphicsView, QPlainTextEdit, and QTextEdit.

void dragEnterEvent | ( | QDragEnterEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

Reimplemented in QAbstractItemView, QGraphicsView, QPlainTextEdit, and QTextEdit.

void dragMoveEvent | ( | QDragMoveEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

Reimplemented in QAbstractItemView, QGraphicsView, QListView, QPlainTextEdit, QTextEdit, and QTreeView.

void dragLeaveEvent | ( | QDragLeaveEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

Reimplemented in QAbstractItemView, QGraphicsView, QListView, QPlainTextEdit, and QTextEdit.

void dropEvent | ( | QDropEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

Reimplemented in QAbstractItemView, QGraphicsView, QListView, QListWidget, QPlainTextEdit, QTableWidget, QTextEdit, and QTreeWidget.

void keyPressEvent | ( | QKeyEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

Reimplemented in QAbstractItemView, QGraphicsView, QPlainTextEdit, QTextBrowser, QTextEdit, and QTreeView.

virtual void scrollContentsBy | ( | int | dx,
|  | int | dy
| ) |  | `[protected, virtual]`

Search for all occurrences

Reimplemented in QColumnView, QGraphicsView, QHeaderView, QListView, QMdiArea, QPlainTextEdit, QScrollArea, QTableView, QTextEdit, and QTreeView.

## Friends And Related Function Documentation

friend class QWidgetPrivate `[friend]`

Search for all occurrences

Definition at line 135 of file qabstractscrollarea.h.

## Property Documentation

Qt::ScrollBarPolicy verticalScrollBarPolicy `[read, write]`

Search for all occurrences

Definition at line 62 of file qabstractscrollarea.h.

Qt::ScrollBarPolicy horizontalScrollBarPolicy `[read, write]`

Search for all occurrences

Definition at line 63 of file qabstractscrollarea.h.

The documentation for this class was generated from the following file:

- QtGui/qabstractscrollarea.h

QAbstractScrollArea QAbstractScrollArea QAbstractScrollArea QAbstractScrollArea QAbstractScrollArea QAbstractScrollArea QAbstractScrollArea QAbstractScrollArea QAbstractScrollArea QAbstractScrollArea
QAbstractScrollArea QAbstractScrollArea QAbstractScrollArea QAbstractScrollArea QAbstractScrollArea QAbstractScrollArea QAbstractScrollArea QAbstractScrollArea QAbstractScrollArea QAbstractScrollArea